[Ocfs2-test-devel] [PATCH 7/9] Trivial: fix checking empty return value

Eric Ren zren at suse.com
Fri Jun 17 02:13:02 PDT 2016


We now get the below error even if "reserve space"
testcase succeeds:
	"Error in log_end()"
This is because we passed Nil to log_end.

Signed-off-by: Eric Ren <zren at suse.com>
---
 programs/python_common/single_run-WIP.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/programs/python_common/single_run-WIP.sh b/programs/python_common/single_run-WIP.sh
index 73b96cb..92306e8 100755
--- a/programs/python_common/single_run-WIP.sh
+++ b/programs/python_common/single_run-WIP.sh
@@ -778,6 +778,7 @@ run_reserve_space()
 	    done
 
 	    do_umount ${mountpoint}
+	    RC=$?
 
 	    log_end ${RC}
 	done
-- 
2.6.6




More information about the Ocfs2-test-devel mailing list